argv0(1)

NAME
argv0 - run a program with a specified 0th argument

SYNOPSIS
argv0 realname zero [ arg ... ]

DESCRIPTION
argv0 runs the program stored as realname on disk, with the given arguments. It sets the 0th argument of the program to zero.

For example,

         argv0 /bin/csh -bin/csh

runs /bin/csh with a 0th argument of -bin/csh. csh will think it is a login shell and behave accordingly.

argv0 can be used to run some inetd wrappers under tcpserver.

SEE ALSO
csh(1), tcpserver(1), execve(2), execvp(3), inetd(8)